Bug 1301135 - Upgrade: Replication broken after migration from 5.4 to 5.5.2.1
Summary: Upgrade: Replication broken after migration from 5.4 to 5.5.2.1
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Replication
Version: 5.5.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.6.0
Assignee: Joe Rafaniello
QA Contact: Jan Krocil
URL:
Whiteboard: migration:replication
Depends On:
Blocks: 1289200 1303087
TreeView+ depends on / blocked
 
Reported: 2016-01-22 17:17 UTC by Jan Krocil
Modified: 2016-04-19 14:28 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1303087 (view as bug list)
Environment:
Last Closed: 2016-04-19 14:28:28 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)

Comment 2 Gregg Tanzillo 2016-01-22 17:53:29 UTC
@jrafanie, can you take look at this one? Thanks

Comment 3 Joe Rafaniello 2016-01-22 18:58:44 UTC
Jan, I believe there was some manual steps in the upgrade doc re: replication environments in addition to the hosts_storages fix:  https://access.redhat.com/articles/2076193.  Was this completed?

Is the replication worker doing anything or logging warnings or errors after upgrade when it seemingly wasn't doing anything?

Have you previously been able to replicate the backlog via rake evm:dbsync:replicate_backlog while the replication worker is running?  I might be wrong but I believe you'd have to stop the regular replication worker before you manually replicate via command line.

If you stop the replication worker and try to replicate manually, does it fail and is it repeatable?  Do the logs provide more information?

Comment 4 Shveta 2016-01-27 19:43:41 UTC
Assigning to add test case

Comment 7 Joe Rafaniello 2016-03-11 16:41:55 UTC
Jan, can this and it's clone be closed? (https://bugzilla.redhat.com/show_bug.cgi?id=1303087)

Comment 8 Joe Rafaniello 2016-04-19 14:28:28 UTC
Closing due to missing information.


Note You need to log in before you can comment on or make changes to this bug.